[SM-Commit] GIT changes to test cauldron by Justin Boffemmyer (416164c54caec5b6d4e07fce8e52a65ee19a7ed2)

Justin Boffemmyer scm at sourcemage.org
Tue Jan 13 10:56:11 EST 2009


GIT changes to test cauldron by Justin Boffemmyer <flux at sourcemage.org>:

 scripts/mkinitrd.sh |    6 +++---
 1 files changed, 3 insertions(+), 3 deletions(-)

New commits:
commit 416164c54caec5b6d4e07fce8e52a65ee19a7ed2
Author: Justin Boffemmyer <flux at sourcemage.org>
Commit: Justin Boffemmyer <flux at sourcemage.org>

    scripts/mkinitrd.sh: fix udev cache finding
    
    Fixed the method of finding the udev cache inside ISODIR.

diff --git a/scripts/mkinitrd.sh b/scripts/mkinitrd.sh
index 72eb988..ea01cb2 100755
--- a/scripts/mkinitrd.sh
+++ b/scripts/mkinitrd.sh
@@ -99,7 +99,8 @@ then
   exit 2
 fi >&2
 
-if [[ ! -f "$ISODIR"/var/cache/sorcery/udev* ]]
+udev="$(find "$ISODIR"/var/cache/sorcery -name udev-*)"
+if [[ ! -f "$udev" ]]
 then
   echo "Chroot failed sanity check:"
   echo "Chroot is missing the udev cache file!"
@@ -211,10 +212,9 @@ function mk_initrd_file() {
 }
 
 function install_udev() {
-  local udev="$ISODIR/var/cache/udev*"
   local exclude=(init.d doc man var)
 
-  if ! tar xf $udev "${exclude[@]/#/--exclude=}" -C "$INITRDROOT"
+  if ! tar xf "$udev" "${exclude[@]/#/--exclude=}" -C "$INITRDROOT"
   then
     echo "error: could not extract $udev to $INITRDROOT"
     exit 2



More information about the SM-Commit mailing list